Skip to main content
Storage policy assignment represents the relation between storage zone and the assigned item (for example a file stored in a specific zone).

Storage policy assignment

The assignment of a storage policy to a user or enterprise.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for a storage policy assignment.
typeenum<string>YesThe value will always be storage_policy_assignment. Available options: storage_policy_assignment.
storage_policyStorage policy (Mini)NoThe assigned storage policy.
assigned_toobjectNoThe bare basic reference for an object.
Example
{
  "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
  "type": "storage_policy_assignment",
  "storage_policy": {
    "id": "11446498",
    "type": "storage_policy"
  },
  "assigned_to": {
    "id": "11446498",
    "type": "file"
  }
}

Storage policy assignments

A list of storage policy assignments.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Storage policy assignmentNoA list of storage policy assignments.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
      "type": "storage_policy_assignment",
      "storage_policy": {
        "id": "11446498",
        "type": "storage_policy"
      },
      "assigned_to": {
        "id": "11446498",
        "type": "file"
      }
    }
  ]
}
Last modified on July 9, 2026